import * as $dara from '@darabonba/typescript';
import { ModifyDiskSpecResponseBody } from "./ModifyDiskSpecResponseBody";
export declare class ModifyDiskSpecResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: ModifyDiskSpecResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
